{
    attributes = (
        {
            columnName = ART_ID; 
            externalType = NUMBER; 
            name = artId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = CE_ORDRE; 
            externalType = NUMBER; 
            name = ceOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = COMM_ID; 
            externalType = NUMBER; 
            name = commId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = ART_LIBELLE; 
            externalType = VARCHAR2; 
            name = libelle; 
            valueClassName = NSString; 
            valueType = S; 
            width = 500; 
        }, 
        {
            columnName = ART_PRIX_HT; 
            externalType = NUMBER; 
            name = prixHt; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = ART_PRIX_TOTAL_HT; 
            externalType = NUMBER; 
            name = prixTotalHt; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = ART_PRIX_TOTAL_TTC; 
            externalType = NUMBER; 
            name = prixTotalTtc; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = ART_PRIX_TTC; 
            externalType = NUMBER; 
            name = prixTtc; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = ART_QUANTITE; 
            externalType = NUMBER; 
            name = quantite; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = ART_REFERENCE; 
            externalType = VARCHAR2; 
            name = reference; 
            valueClassName = NSString; 
            valueType = S; 
            width = 50; 
        }, 
        {
            columnName = TVA_TAUX; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = ""; }; 
            name = tva; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }
    ); 
    attributesUsedForLocking = (
        libelle, 
        prixHt, 
        prixTotalHt, 
        prixTotalTtc, 
        prixTtc, 
        quantite, 
        reference, 
        ceOrdre, 
        commId, 
        tva, 
        artId
    ); 
    className = org.cocktail.fwkcktldepense.server.metier.xml.EOXMLArticle; 
    classProperties = (
        libelle, 
        prixHt, 
        prixTotalHt, 
        prixTotalTtc, 
        prixTtc, 
        quantite, 
        reference, 
        tva, 
        codeExer
    ); 
    externalName = JEFY_DEPENSE.XML_ARTICLE; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        _javaClientClassName = org.cocktail.fwkcktldepense.client.metier.xml.EOXMLArticle; 
        _nameInObjectStore = XML_Article; 
    }; 
    isReadOnly = Y; 
    name = FwkCaramboleXMLArticle; 
    primaryKeyAttributes = (artId); 
    relationships = (
        {
            destination = FwkCaramboleXMLCodeExer; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = ceOrdre; sourceAttribute = ceOrdre; }); 
            name = codeExer; 
        }
    ); 
}
